Save This Page
Home » cocoon-2.1.11-src » org.apache » cocoon » acting » [javadoc | source]
org.apache.cocoon.acting
public class: RequestParamAction [javadoc | source]
java.lang.Object
   org.apache.avalon.framework.logger.AbstractLogEnabled
      org.apache.cocoon.acting.AbstractAction
         org.apache.cocoon.acting.ServiceableAction
            org.apache.cocoon.acting.RequestParamAction

All Implemented Interfaces:
    org.apache.avalon.framework.thread.ThreadSafe, org.apache.avalon.framework.service.Serviceable, Action

This action makes some request details available to the sitemap via parameter substitution. {context} - is the context path of the servlet (usually "/cocoon") {requestURI} - is the requested URI without parameters {requestQuery} - is the query string like "?param1=test" if there is one Additionlly all request parameters can be made available for use in the sitemap. if the parameter "parameters" is set to true. (A variable is created for each request parameter (only if it doesn't exist) with the same name as the parameter itself) Default values can be set for request parameters, by including sitemap parameters named "default.". Sitemap definition:
<map:action name="request" src="org.apache.cocoon.acting.RequestParamAction"/>

Example use:

<map:match pattern="some-resource">
<map:act type="request">
<map:parameter name="parameters" value="true"/>
<map:parameter name="default.dest" value="invalid-destination.html"/>
<map:redirect-to uri="{context}/somewhereelse/{dest}"/>
</map:act>
</map:match>
Redirection is only one example, another use:
<map:match pattern="some-resource">
<map:act type="request">
<map:parameter name="parameters" value="true"/>
<map:generate src="users/menu-{id}.xml"/>
</map:act>
<map:transform src="menus/personalisation.xsl"/>
<map:serialize/>
</map:match>
etc, etc.
Field Summary
public static final  String MAP_URI     
public static final  String MAP_QUERY     
public static final  String MAP_CONTEXTPATH     
public static final  String PARAM_PARAMETERS     
public static final  String PARAM_DEFAULT_PREFIX     
Fields inherited from org.apache.cocoon.acting.ServiceableAction:
manager
Fields inherited from org.apache.cocoon.acting.AbstractAction:
EMPTY_MAP
Method from org.apache.cocoon.acting.RequestParamAction Summary:
act
Methods from org.apache.cocoon.acting.ServiceableAction:
service
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.cocoon.acting.RequestParamAction Detail:
 public Map act(Redirector redirector,
    SourceResolver resolver,
    Map objectModel,
    String source,
    Parameters param) throws Exception